Subject: Re: bug#26353: GuixSD /tmp cleaner fails to clean when Umlauts like"ä" are used in filenames

From: [email-masked] (Ludovic Courtès)
Date: Tue, 19 Jun 2018 22:47:39 +0200

Nils Gillmann <[email-masked]> skribis:

> Danny Milosavljevic transcribed 249 bytes:
>> > The problem of how to deal with file name encoding has been discussed on
>> > the Guile side so hopefully the next release in the 2.2 series will have
>> > a solution for this.
>> 
>> Hmm, any news on this?  I've again got some immortal files in /tmp ...
>
> Did it ever work for you? I can't recall a single time in my years with
> GuixSD when /tmp was cleaned. It was only when I started reading more
> system specific code that I found out that the lack of /tmp cleaning
> on shutdown is not a default.

This bug report is about the specific case where it doesn’t work.  :-)

Ludo’.